@echo off

if "%1"=="" goto noparam
set dfslog=%1
goto endparam
:noparam
set dfslog=dfsquick
:endparam

if not exist dfsdos.exe goto dfsnt
set dfsexe=dfsdos
goto end
:dfsnt
set dfsexe=dfsnt
:end

del %dfslog%.log > NUL 2>NUL
echo.
echo Quick collecting info ...
echo Quick collecting info into %dfslog%.log
%dfsexe% -7 -a -b -q log %dfslog%#fdisk#map * +#part $*#part ++a#q
echo.
echo done
